<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="{{ staticpath }}/static/archive.css" />
    <script type="text/javascript" src="{{ staticpath }}/static/archive.js"></script>
    <link rel="stylesheet" href="{{ staticpath }}/static/orgs.css" />
    <script type="text/javascript" src="{{ staticpath }}/static/orgs.js"></script>
    <link href='https://fonts.googleapis.com/css?family=Roboto+Mono' rel='stylesheet' type='text/css'>
    <title>{{ page.name }}</title>
</head>
<body>
    <h1>{{ page.name }}</h1>

    <div class="scrollcolumn">
      <button onclick="scrollWin(0,-5000)" class="up scrl"><span>&#8988;</span><span class="scbt">Up</span></button>
      <button onclick="scrollWin(0,5000)" class="down scrl"><span>&#8991;</span><span class="scbt">Down</span></button>
      <button onclick="scrollToTop()" class="top scrl"><span>&#9140;</span><span class="scbt">Top</span></button>
      <button onclick="scrollToBottom()" class="bottom scrl"><span>&#9141;</span><span class="scbt">Bottom</span></button>
    </div>
    
    <div id="body">{{ body|safe }}</div>
      
    <script>
      var coll = document.getElementsByClassName("collapsible");
      var i;

        for (i = 0; i < coll.length; i++) {
         coll[i].addEventListener("click", function() {
         this.classList.toggle("active");
         var content = this.nextElementSibling;
         if (content.style.maxHeight){
            content.style.maxHeight = null;
         } else {
            content.style.maxHeight = content.scrollHeight + "px";
         } 
        });
       }

      function scrollWin(x, y) {
      window.scrollBy(x, y);
      } 

      var elmnt = document.getElementById("top");

      function scrollToTop() {
        elmnt.scrollIntoView(true); // Top
      }

      function scrollToBottom() {
        elmnt.scrollIntoView(false); // Bottom
      }
    </script>
</body>
</html>
